=== debian/control ===
Source: ros-one-foxglove-bridge
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), libasio-dev, libssl-dev, libwebsocketpp-dev, nlohmann-json3-dev, ros-one-catkin, ros-one-nodelet, ros-one-resource-retriever, ros-one-ros-babel-fish, ros-one-ros-environment, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, zlib1g-dev
Homepage: https://github.com/foxglove/ros-foxglove-bridge
Standards-Version: 3.9.2

Package: ros-one-foxglove-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ros-one-nodelet, ros-one-resource-retriever, ros-one-ros-babel-fish, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, zlib1g-dev
Description: ROS Foxglove Bridge
