## ros-one-foxglove-bridge 0.8.5-20jammy.20260221.0123

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20jammy.20260221.0123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sat, 21 Feb 2026 01:23:10 +0000
