## ros-one-foxglove-bridge 0.8.5-20noble.20251023.0838

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20noble.20251023.0838) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 23 Oct 2025 08:38:21 +0000

ros-one-foxglove-bridge (0.8.5-0noble) noble; urgency=high

  * fix rolling/kilted builds due to resource_retriever API changes (#351 <https://github.com/foxglove/ros-foxglove-bridge/issues/351>)
  * avoid requesting parameters from unresponsive nodes (#345 <https://github.com/foxglove/ros-foxglove-bridge/issues/345>)
  * Update default asset_uri_allowlist parameter to allow dashes (#347 <https://github.com/foxglove/ros-foxglove-bridge/issues/347>)
  * reorganize devcontainer dockerfile (#350 <https://github.com/foxglove/ros-foxglove-bridge/issues/350>)
  * Use RCLCPP_VERSION_GTE from rclcpp/version.h in generic_client.cpp (#344 <https://github.com/foxglove/ros-foxglove-bridge/issues/344>)
  * Fixed logging typo (#343 <https://github.com/foxglove/ros-foxglove-bridge/issues/343>)
  * Contributors: Hans-Joachim Krauch, Meet Gandhi, johannesschrimpf

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 15 May 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.4-0noble) noble; urgency=high

  * also advertise channels for ROS1 topics without publishers (#341 <https://github.com/foxglove/ros-foxglove-bridge/issues/341>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 21 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.3-0noble) noble; urgency=high

  * add best_effort_qos_topic_whitelist param (#329 <https://github.com/foxglove/ros-foxglove-bridge/issues/329>)
  * Add missing functional include in message_definition_cache.cpp (#334 <https://github.com/foxglove/ros-foxglove-bridge/issues/334>)
  * Contributors: David Revay, Silvio Traversaro

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 03 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.2-0noble) noble; urgency=high

  * Fix "no matching function" error on yocto kirkstone (#331 <https://github.com/foxglove/ros-foxglove-bridge/issues/331>)
  * Contributors: Graham Harison

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sun, 01 Dec 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.1-0noble) noble; urgency=high

  * Improve Error Reporting and Reduce Log Redundancy (#327 <https://github.com/foxglove/ros-foxglove-bridge/issues/327>)
  * Contributors: Robin Dumas

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 26 Nov 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.0-0noble) noble; urgency=high

  * Fix usage of deprecated AsyncParametersClient constructor (#319 <https://github.com/foxglove/ros-foxglove-bridge/issues/319>)
  * Add ROS2 JSON publishing support (#307 <https://github.com/foxglove/ros-foxglove-bridge/issues/307>)
  * Contributors: Davide Faconti, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 31 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.10-0noble) noble; urgency=high

  * Make ROS1 service type retrieval more robust (#316 <https://github.com/foxglove/ros-foxglove-bridge/issues/316>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 12 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.9-0noble) noble; urgency=high

  * Fix parsing of IDL message definitions (#313 <https://github.com/foxglove/ros-foxglove-bridge/issues/313>)
  * Support publishing client message as loaned message (#314 <https://github.com/foxglove/ros-foxglove-bridge/issues/314>)
  * fix: remove extra ";" in websocket_server.hpp (#311 <https://github.com/foxglove/ros-foxglove-bridge/issues/311>)
  * Fix rolling smoke tests crashing (#309 <https://github.com/foxglove/ros-foxglove-bridge/issues/309>)
  * Contributors: Andrey Milko, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 05 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.8-0noble) noble; urgency=high

  * Fix srv definition parsing failing due to carriage return (#303 <https://github.com/foxglove/ros-foxglove-bridge/issues/303>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 11 Jun 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.7-0noble) noble; urgency=high

  * send service call failure operation (#298 <https://github.com/foxglove/ros-foxglove-bridge/issues/298>)
  * Fix service definition parsing on ROS rolling (#293 <https://github.com/foxglove/ros-foxglove-bridge/issues/293>)
  * Update docs to discourage users from using websocket compression (#297 <https://github.com/foxglove/ros-foxglove-bridge/issues/297>)
  * Update README.md to remove '$ ' so that you can copy and run command (#294 <https://github.com/foxglove/ros-foxglove-bridge/issues/294>)
  * Fix typo in ROS2 launch file example (#296 <https://github.com/foxglove/ros-foxglove-bridge/issues/296>)
  * Contributors: Felipe Galindo, Hans-Joachim Krauch, Jacob Bandes-Storch, Roman Shtylman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 21 May 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.6-0noble) noble; urgency=high

  * Fix rolling builds (#289 <https://github.com/foxglove/ros-foxglove-bridge/issues/289>)
  * Remove dual ROS 1+2 devcontainer, remove ROS Galactic from the support matrix (#285 <https://github.com/foxglove/ros-foxglove-bridge/issues/285>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 26 Feb 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.5-0noble) noble; urgency=high

  * Add ROS 2 dependency for ament_index_cpp (#281 <https://github.com/foxglove/ros-foxglove-bridge/issues/281>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 29 Dec 2023 00:00:00 -0000

ros-one-foxglove-bridge (0.7.4-0noble) noble; urgency=high

  * Solved bug with incompatible QoS policies

