## ros-one-foxglove-bridge 0.8.5-20noble.20260221.0200

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20noble.20260221.0200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sat, 21 Feb 2026 02:00:28 +0000
